Subject: Re: IPv4 TOS vs DSCP

From: Stephen Hemminger <[email-masked]>
Date: Thu, 12 Nov 2020 08:13:06 -0800

On Thu, 12 Nov 2020 10:09:54 +1000
Russell Strong <[email-masked]> wrote:

> Hello,
> 
> After needing to do policy based routing based on DSCP, I discovered
> that IPv4 does not support this.  It does support TOS, but this has
> never been upgraded to the new ( now quite old ) DSCP interpretation.
> 
> Is there a historical reason why the interpretation has not changed?
> 
> I could copy the dscp into a fwmark and then use that, but that seems a
> little unnecessarily complicated.  If I were to change this, what would
> be the objections?
> 
> Russell

Probably a couple of reasons: no one needed it badly enough to work on it.
And more importantly any change would have to retain the legacy behavior
as the default.